#32/64
# Checkout: cvs -z3 -d:pserver:anonymous@ep128emu.cvs.sourceforge.net:/cvsroot/ep128emu co -P ep128emu2

Name:			ep128emu
Version:		2.0.11.1
Release:		%mkrel 2
Summary:		Enterprise 64/128, ZX Spectrum 48/128, and Amstrad CPC 464 emulator
License:		GPLv2+
Group:			Emulators
URL:			http://sourceforge.net/projects/ep128emu
Source0:		%{name}-%{version}.tar.xz
Source1:		%{name}-32.png
%define	romname         ep128emu_roms-2.0.11.bin
Source2:		%{romname}
BuildRequires:		%{_lib}SDL-devel %{_lib}gtk+2.0_0-devel
BuildRequires:		scons %{_lib}fltk-devel %{_lib}portaudio-devel %{_lib}sndfile-devel %{_lib}dotconf-devel %{_lib}lua5.2-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}

%description
ep128emu is a portable emulator of the Enterprise 64/128, ZX Spectrum 48/128, and Amstrad CPC 464 computers
http://enterpriseforever.com/downloads.html

%prep
%setup -q 
# -n %{name}/src

%build
scons

%install
rm -rf %{buildroot}
mkdir %{buildroot}

install -d -m 0755 %{buildroot}/%{_datadir}/games/%{name}
#rename to wrap further down the spec
install -m 0755 %{name} %{buildroot}/%{_datadir}/games/%{name}/%{name}-real
install -m 0755 epmakecfg %{buildroot}/%{_datadir}/games/%{name}/
install -m 0755 tapeedit %{buildroot}/%{_datadir}/games/%{name}/
install -m 0755 epimgconv %{buildroot}/%{_datadir}/games/%{name}/
install -m 0755 %{SOURCE2} %{buildroot}/%{_datadir}/games/%{name}/

#icon
install -d -m 755 %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-cpc.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - Amstrad CPC emulator
Comment=Amstrad CPC emulator
Comment[da]=Amstrad CPC emulator
Exec=%{_datadir}/games/%{name}/%{name} -cpc
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-enterprise.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - Enterprise emulator
Comment=Enterprise emulator
Comment[da]=Enterprise emulator
Exec=%{_datadir}/games/%{name}/%{name} -ep128
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-spectrum.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - ZX Spectrum emulator
Comment=ZX Spectrum emulator
Comment[da]=ZX Spectrum emulator
Exec=%{_datadir}/games/%{name}/%{name} -zx
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-tapeedit.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - Tape Edit
Comment=Tape Editor for ep128emu
Comment[da]=Tape Editor for ep128emu
Exec=%{_datadir}/games/%{name}/tapeedit
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-epmakecfg.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - Ep128emu Configurator
Comment=Configurator for ep128emu
Comment[da]=Configurator for ep128emu
Exec=%{_datadir}/games/%{name}/epmakecfg
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-epmakecfg.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - Ep128emu Configurator
Comment=Configurator for ep128emu
Comment[da]=Configurator for ep128emu
Exec=%{_datadir}/games/%{name}/epmakecfg
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/%{name}-epimgconv.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{name} - Ep128emu Image Converter
Comment= Enterprise 128 image converter utility
Comment[da]= Enterprise 128 image converter utility
Exec=%{_datadir}/games/%{name}/epimgconv
Icon=%{_iconsdir}/%{name}-32.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

#wrapper to install rom and configure
cat >  %{buildroot}%{_datadir}/games/%{name}/%{name} << EOF
##!/bin/sh

if [ ! -d \$HOME/.%{name} ]; then
 mkdir -p \$HOME/.%{name}/roms
 cp %{_datadir}/games/%{name}/%{romname} \$HOME/.%{name}/roms/
 %{_datadir}/games/%{name}/epmakecfg
fi
%{_datadir}/games/%{name}/%{name}-real \$@
EOF

chmod 755 %{buildroot}%{_datadir}/games/%{name}/%{name} 

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_iconsdir}
%{_datadir}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%changelog
* Thu Oct 26 2017 Agent Smith <ruidobranco@yahoo.com.br> 2.0.11.1-2pclos2017
- Added desktop entries for Tape Edit, EPmakecfg and Ep image converter. Renamed makecfg to epmakecfg.

* Fri Oct 20 2017 Agent Smith <ruidobranco@yahoo.com.br> 2.0.11.1-1pclos2017
- Updated with latest sources, for 32/64 bits.

* Sun Dec 19 2010 MBantz <martin dot bantz at gmail dot com> 2.0.9-1pclos2010
- Added .dsk support for CPC
- Fixed wrapperscript

* Sat Nov 06 2010 MBantz <martin dot bantz at gmail dot com> 2.0.8.1-1pclos2010
- Built for PCLinuxOS

